PRODP(3)

SYNOPSIS
SUBROUTINE PRODP (ND, BD, NM1, BM1, NM2, BM2, NA, AA, X, Y, M, A, + B, C, D, U, W)

NAME
prodp - Subsidiary to BLKTRI

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (PRODP-S, PROCP-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
PRODP applies a sequence of matrix operations to the vector X and stores the result in Y (periodic boundary conditions). BD,BM1,BM2 are arrays containing roots of certain B polynomials. ND,NM1,NM2 are the lengths of the arrays BD,BM1,BM2 respectively. AA Array containing scalar multipliers of the vector X. NA is the length of the array AA. X,Y The matrix operations are applied to X and the result is Y. A,B,C are arrays which contain the tridiagonal matrix. M is the order of the matrix. D,W,U are working arrays. IS determines whether or not a change in sign is made.

SEE ALSO
BLKTRI

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)